Script for cardano-node software upgrade (CNTOOLS users)

Hey Alex, congratulations on the script, I updated 2 servers through your script and 2 the traditional way, and both worked perfectly.

I have a question, please, if my producer server breaks down and I need to upload my pool to another server, which files are essential for me to upload my pool to the same old server?

Only the files in the priv folder?

yeah, only the priv folder; there u can find the wallet and pool files
and also u will need to edit the env file


#POOL_NAME=""                                           # Set the pool's name to run node as a core node (the name, NOT the ticker, ie folder name)

1 Like

Nice job Alex,
already upgraded my nodes manually, but I promise to use your script next time. :muscle: Power upgrade to next level.

Thx so much Alex, it works great!

1 Like

Does this work for 1.33.X?

of course… it’s checkin on github for new released

1 Like

Hi Alex, thanks for the great script. I could use it to upgrade from 1.31 to 1.32 but it didn’t work for 1.33. I got the following message:


and cardano-node --version still shows 1.32 instead of 1.33
Any help is appreciated!

Try before to start the upgrade

cd  ~/tmp
./prereqs.sh

the tmp folder doesn’t contain prereqs.sh

then are u sure u are using cntools? Perhaps coincashew guide?

yes I am sure.

Ok, then

Check this solution

1 Like

Worked great again, thanks Alex

1 Like

image|827x

1 Like

first wget command is missing .sh at the end.

2 Likes

quite like this dialog screen, wasn’t familiar with it

1 Like

I just found out 1.34 was released… My node is running 1.32, does that mean I was not able to produce a block?

How do I know if an update is required or just suggested?

How can I get reliable notifications of updates?

I don’t think 1.34 was mandatory … did u had missed blocks?

Cheers,

Thanks Again Alex… no missed blocks quite a few missed slot leader checks %.15

I just ran the script for 1.34

and I see this

cardano-node --version
cardano-node 1.32.1 - linux-x86_64 - ghc-8.10